nav ul li.joinNow a {
    background-color: var(--buttonBackground);
}

nav ul li.joinNow a:hover {
    background-color: var(--buttonHoverBackground);
    color: var(--buttonHoverTextColor);
}

.viewAll {
    background-color: var(--buttonBackground);
}

.viewAll:hover {
    background-color: var(--buttonHoverBackground);
    color: var(--buttonHoverTextColor);
}

.welcome p {
    color: var(--lightMainColor);
}

.welcome a {
    color: var(--linkColor);
}

.welcome a:hover {
    color: var(--linkHoverColor);
}

footer {
    border-top: 2px solid var(--mainColor);
}

.fLinks a {
    color: var(--linkColor);
}

.fLinks a:hover {
    color: var(--lightMainColor);
}

.copyrights a {
    color: var(--linkColor);
}

.copyrights a:hover {
    color: var(--lightMainColor);
}

.copyrights {
    color: var(--lightMainColor);
}

a.termsAndConditions {
    color: var(--lightMainColor);
}

.joinTerms a {
    color: var(--lightMainColor);
}

header {
    background-color: #000000;
}

.welcome {
    background-color: #000000;
}

.continueS {
    color: var(--secondaryButtonText);
    background-color: var(--secondaryButtonBackground);
    border: 2px solid var(--secondaryButtonBorder);
}

.continueS:hover {
    background-color: var(--secondaryButtonHoverBackground);
    color: var(--secondaryButtonHoverText);
    border-color: var(--secondaryButtonHoverBorder);
}

.proceedCheckOut, .loginButton, .joinButton, .verifyCouponButton {
    background: var(--primaryButtonBackground);
    color: var(--primaryButtonText);
}

.proceedCheckOut:hover, .loginButton:hover, .joinButton:hover, .verifyCouponButton:hover {
    background: var(--primaryButtonHoverBackground);
    color: var(--primaryButtonHoverText);
}

.couponCodeContainer input {
    background-color: #1a1a1a;
    border: 1px solid var(--mainColor);
    color: var(--lightText);
    padding: 10px;
    border-radius: 6px;
    transition: border-color 0.3s ease;
}

.couponCodeContainer input:focus {
    outline: none;
    border-color: var(--buttonHoverBackground);
}

.pagination a {
    border-color: var(--mainColor);
    background-color: var(--mainColor);
    color: #fff;
}

.pagination a:hover, .pagination a.active {
    border-color: var(--mainColor);
    color: #fff;
    background-color: var(--buttonHoverBackground);
}

.alphabet-navigation a.linkable {
    border-color: var(--mainColor);
    color: var(--lightText);
    border-radius: 4px;
    padding: 2px 6px;
}

.alphabet-navigation a.linkable:hover {
    background-color: var(--buttonHoverBackground);
    color: var(--lightText);
}

.alphabet-navigation a.linkable.active {
    background-color: var(--buttonHoverBackground);
    color: var(--buttonHoverTextColor);
    border-color: 2px solid var(--lightText);
    border-radius: 4px;
    padding: 2px 6px;
}

.alphabet-navigation span.non-linkable {
    opacity: 0.3;
    color: var(--lightText);
    padding: 2px 6px;
    border: 2px solid #000000;
    border-radius: 4px;
    cursor: not-allowed;
    background-color: transparent;
}

.alphabet-navigation a.active {
    background-color: var(--buttonHoverBackground);
    color: #fff;
    border-color: #666;
}

/* Sliders */
.splide__arrow {
    background: #7cc8ff;
}

.library .splide__arrow {
    top: 40%;
    background: #bcdcff;
}

.library .splide__arrow svg {
    fill: #000;
}

.tagPill {
    color: var(--darkText);
    background-color: #7cc8ff;
}

/* Upcoming Shoots Page */
.page-container {
    max-width: 100%;
    margin: 20px auto;
    padding: 20px;
}

.section-header {
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 20px;
}

.text-block {
    text-align: center;
    font-size: 16px;
    margin-bottom: 20px;
}

.image-gallery {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    width: 100%;
}

.image-gallery img {
    width: 100%;
    max-width: 1000px;
    height: auto;
    border-radius: 5px;
    transition: transform 0.3s ease-in-out;
    border: 3px solid var(--buttonBackground);
}

.image-gallery img:hover {
    transform: scale(1.02);
    border-color: var(--buttonHoverBackground);
}

@media (min-width: 1200px) {
    .page-container {
        max-width: 80%;
    }
}
